{ config, pkgs, ... }:

{
  environment.systemPackages = with pkgs.haskellPackages; with pkgs; [
    stdenv
    # nox
    wget
    neovim
    neovim-remote
    # zsh
    gitFull gitAndTools.hub tig
    gnumake
    m4
    screen
    psmisc
    pkgs.parallel
    gnupg
    pwgen
    gcc
    silver-searcher
    ripgrep
    fzf
    tree
    python3
    python3Packages.ipython
    perl
    gdb
    bind nmap tcpdump telnet
    usbutils
    dstat
    which
    zip
    file
    unzip
    elinks
    links2
    ctags
    nix-prefetch-scripts
    (pkgs.wireguard or pkgs.hello)
    jq
    #b2sum
    strace
    ncdu
  ];

  environment.variables.EDITOR = "${pkgs.neovim}/bin/nvim";

  # programs.zsh = {
  #   enable = true;
  #   promptInit = "";
  # };

  programs.bash = {
    enableCompletion = true;
  };

  programs.fish = {
    enable = true;
  };
}
